<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context="org.example.proyecto.MainActivity"
    tools:showIn="@layout/activity_main"
    android:orientation="vertical"
    android:gravity="center_vertical|center_horizontal"
    android:background="@drawable/degradado">


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center"
        android:gravity="center">

        <ImageButton
            android:text="Clima"
            android:id="@+id/botonClima"
            android:onClick="lanzarClima"
            android:src="@drawable/nube"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="2dp"
            android:layout_marginRight="5dp"
            android:layout_marginTop="0dp"
            android:adjustViewBounds="true"
            android:scaleType="fitCenter"
            android:background="#00ffffff"
            android:layout_toLeftOf="@+id/view"
            android:padding="25dp" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Clima"
            android:id="@+id/climaTextView"
            android:gravity="center"
            android:textColor="#323232"
            android:textStyle="bold"
            android:textSize="18dp"
            android:layout_alignBottom="@+id/botonClima"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:layout_alignRight="@+id/view"
            android:layout_alignEnd="@+id/view" />

        <View
            android:id="@+id/view"
            android:layout_height="1dp"
            android:layout_width="0dp"
            android:layout_centerHorizontal="true"
            />

        <ImageButton
            style="@style/TextoBotones"
            android:text="Mis ciudades"
            android:id="@+id/botonMisCiudades"
            android:onClick="lanzarMisCiudades"
            android:src="@drawable/lista_ciudades"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:adjustViewBounds="true"
            android:scaleType="fitCenter"
            android:background="#00ffffff"
            android:layout_weight="1"
            android:layout_alignParentRight="true"
            android:layout_alignParentEnd="true"
            android:layout_alignBottom="@+id/botonClima"
            android:layout_toRightOf="@+id/view"
            android:layout_toEndOf="@+id/view"
            android:padding="35dp"
            android:layout_below="@+id/view" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Mis ciudades"
            android:id="@+id/textView"
            android:layout_alignBottom="@+id/botonMisCiudades"
            android:layout_toRightOf="@+id/view"
            android:gravity="center"
            android:textColor="#323232"
            android:textSize="18dp"
            android:textStyle="bold" />

        <ImageButton
            style="@style/TextoBotones"
            android:text="Configuración"
            android:id="@+id/botonConfiguracion"
            android:onClick="lanzarPreferencias"
            android:src="@drawable/config"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="5dp"
            android:layout_marginLeft="2dp"
            android:layout_marginRight="5dp"
            android:layout_marginTop="40dp"
            android:adjustViewBounds="true"
            android:padding="30dp"
            android:scaleType="fitCenter"
            android:background="#00ffffff"
            android:layout_toLeftOf="@+id/view"
            android:layout_below="@+id/botonClima" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Configuración"
            android:id="@+id/configTextView"
            android:gravity="center"
            android:textColor="#323232"
            android:textStyle="bold"
            android:textSize="18dp"
            android:layout_alignBottom="@+id/botonConfiguracion"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:layout_alignRight="@+id/view"
            android:layout_alignEnd="@+id/view" />

        <ImageButton
            style="@style/TextoBotones"
            android:text="Acerca de"
            android:id="@+id/botonAcercaDe"
            android:src="@drawable/acerca_de"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="2dp"
            android:layout_marginRight="5dp"
            android:layout_marginTop="40dp"
            android:adjustViewBounds="true"
            android:padding="35dp"
            android:scaleType="fitCenter"
            android:background="#00ffffff"
            android:layout_below="@+id/botonMisCiudades"
            android:layout_centerHorizontal="true"
            android:layout_toRightOf="@+id/view"
            android:onClick="lanzarAcercaDe" />


        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Acerca de"
            android:id="@+id/acercaDeTextView"
            android:gravity="center"
            android:textColor="#323232"
            android:textStyle="bold"
            android:textSize="18dp"
            android:layout_alignBottom="@+id/botonAcercaDe"
            android:layout_toRightOf="@+id/botonConfiguracion"
            android:layout_toEndOf="@+id/botonConfiguracion" />


    </RelativeLayout>

</LinearLayout>
